package com.muyu.warning.domain;

import com.muyu.common.core.annotation.Excel;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 预警策略对象 warn_strategy
 *
 * @author muyu
 * @date 2024-09-20
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("warn_strategy")
public class WarnStrategy{
    private static final long serialVersionUID = 1L;

    /** 策略id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 车辆类型id */
    @Excel(name = "车辆类型id")
    private Long carTypeId;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String strategyName;

    /** 报文模版id */
    @Excel(name = "报文模版id")
    private Long msgId;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("carTypeId", getCarTypeId())
            .append("strategyName", getStrategyName())
            .append("msgId", getMsgId())
            .toString();
    }
}
